#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string data;
    int q;
    cin >> data >> q;

    int l, r;
    int result;
    for(int i = 0; i < q; i++) {
        cin >> l >> r;

        result = 1;
        for(int index = l; index < r; index++) {
            if(data[index] >= data[index - 1]) continue;

            result++;
            index++;
        }
        cout << result << endl;
    }
    return 0;
}
#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string data;
    int q;
    cin >> data >> q;

    int l, r;
    int result;
    for(int i = 0; i < q; i++) {
        cin >> l >> r;

        result = 1;
        if(l == r) {
            cout << 1 << endl;
            continue;
        }
        for(int index = l; index < r; index++) {
            if(data[index] >= data[index - 1]) continue;

            result++;
            index++;
        }
        cout << result << endl;
    }
    return 0;
}